package com.ssj.service.conch.conch.vo;


import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;

public class WrongQuestionRecordsVO implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    private String homeworkWrongQuestionId;
    private String image;
    private Long createTime;
    @JSONField(serialize = false)
    private Date createTimeDate;

    public String getHomeworkWrongQuestionId() {
        return homeworkWrongQuestionId;
    }

    public void setHomeworkWrongQuestionId(String homeworkWrongQuestionId) {
        this.homeworkWrongQuestionId = homeworkWrongQuestionId;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Long getCreateTime() {
        if (createTimeDate == null) {
            return -1L;
        } else {
            return createTimeDate.getTime();
        }
    }

    public Date getCreateTimeDate() {
        return createTimeDate;
    }

    public void setCreateTimeDate(Date createTimeDate) {
        this.createTimeDate = createTimeDate;
    }
}
